Debian Bug report logs - #486794
python-vtk: No rule to make target `/usr/bin/vtkWrapPythonInit'

version graph

Package: python-vtk; Maintainer for python-vtk is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for python-vtk is src:vtk.

Reported by: Mathieu Malaterre <mathieu.malaterre@gmail.com>

Date: Wed, 18 Jun 2008 07:48:01 UTC

Severity: normal

Found in version vtk/5.0.2-4

Fixed in version vtk/5.2.1-4

Done: bottoms@debian.org (A. Maitland Bottoms)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bottoms@debian.org (A. Maitland Bottoms):
Bug#486794; Package python-vtk. Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to bottoms@debian.org (A. Maitland Bottoms). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-vtk: No rule to make target `/usr/bin/vtkWrapPythonInit'
Date: Wed, 18 Jun 2008 09:46:28 +0200
Package: python-vtk
Version: 5.0.2-4
Severity: normal


python-vtk package is broken it is missing the executable:

/usr/bin/vtkWrapPythonInit

Please add it (it seems to be available in testing)

thanks


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (50, 'testing'), (40, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-amd64
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages python-vtk depends on:
ii  libc6                     2.7-10         GNU C Library: Shared libraries
ii  libexpat1                 1.95.8-3.4     XML parsing C library - runtime li
ii  libfreetype6              2.2.1-5+etch2  FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.3.0-3      GCC support library
ii  libgl1-mesa-glx [libgl1]  6.5.1-0.6      A free implementation of the OpenG
ii  libice6                   1:1.0.1-2      X11 Inter-Client Exchange library
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libsm6                    1:1.0.1-3      X11 Session Management library
ii  libstdc++6                4.3.0-3        The GNU Standard C++ Library v3
ii  libtiff4                  3.8.2-7        Tag Image File Format (TIFF) libra
ii  libvtk5                   5.0.2-4        Visualization Toolkit - A high lev
ii  libx11-6                  2:1.0.3-7      X11 client-side library
ii  libxext6                  1:1.0.1-2      X11 miscellaneous extension librar
ii  libxt6                    1:1.0.2-2      X11 toolkit intrinsics library
ii  python                    2.4.4-2        An interactive high-level object-o
ii  python-support            0.5.6          automated rebuilding support for p
ii  tcl8.4                    8.4.12-1.1     Tcl (the Tool Command Language) v8
ii  tk8.4                     8.4.12-1etch2  Tk toolkit for Tcl and X11, v8.4 -
ii  zlib1g                    1:1.2.3-13     compression library - runtime

python-vtk recommends no packages.

-- no debconf information




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 20 May 2009 13:15:03 GMT) Full text and rfc822 format available.

Reply sent to bottoms@debian.org (A. Maitland Bottoms):
You have taken responsibility. (Wed, 20 May 2009 23:18:02 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug acknowledged by developer. (Wed, 20 May 2009 23:18:02 GMT) Full text and rfc822 format available.

Message #12 received at 486794-close@bugs.debian.org (full text, mbox):

From: bottoms@debian.org (A. Maitland Bottoms)
To: 486794-close@bugs.debian.org
Subject: Bug#486794: fixed in vtk 5.2.1-4
Date: Wed, 20 May 2009 22:48:47 +0000
Source: vtk
Source-Version: 5.2.1-4

We believe that the bug you reported is fixed in the latest version of
vtk, which is due to be installed in the Debian FTP archive:

libvtk-java_5.2.1-4_amd64.deb
  to pool/main/v/vtk/libvtk-java_5.2.1-4_amd64.deb
libvtk5-dev_5.2.1-4_amd64.deb
  to pool/main/v/vtk/libvtk5-dev_5.2.1-4_amd64.deb
libvtk5-qt3-dev_5.2.1-4_amd64.deb
  to pool/main/v/vtk/libvtk5-qt3-dev_5.2.1-4_amd64.deb
libvtk5-qt4-dev_5.2.1-4_amd64.deb
  to pool/main/v/vtk/libvtk5-qt4-dev_5.2.1-4_amd64.deb
libvtk5.2-qt3_5.2.1-4_amd64.deb
  to pool/main/v/vtk/libvtk5.2-qt3_5.2.1-4_amd64.deb
libvtk5.2-qt4_5.2.1-4_amd64.deb
  to pool/main/v/vtk/libvtk5.2-qt4_5.2.1-4_amd64.deb
libvtk5.2_5.2.1-4_amd64.deb
  to pool/main/v/vtk/libvtk5.2_5.2.1-4_amd64.deb
python-vtk_5.2.1-4_amd64.deb
  to pool/main/v/vtk/python-vtk_5.2.1-4_amd64.deb
vtk-doc_5.2.1-4_all.deb
  to pool/main/v/vtk/vtk-doc_5.2.1-4_all.deb
vtk-examples_5.2.1-4_all.deb
  to pool/main/v/vtk/vtk-examples_5.2.1-4_all.deb
vtk-tcl_5.2.1-4_amd64.deb
  to pool/main/v/vtk/vtk-tcl_5.2.1-4_amd64.deb
vtk_5.2.1-4.diff.gz
  to pool/main/v/vtk/vtk_5.2.1-4.diff.gz
vtk_5.2.1-4.dsc
  to pool/main/v/vtk/vtk_5.2.1-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486794@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
A. Maitland Bottoms <bottoms@debian.org> (supplier of updated vtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 19 May 2009 21:35:17 -0400
Source: vtk
Binary: vtk-doc vtk-examples libvtk5.2 libvtk-java libvtk5-dev libvtk5.2-qt3 libvtk5-qt3-dev libvtk5.2-qt4 libvtk5-qt4-dev vtk-tcl python-vtk
Architecture: source amd64 all
Version: 5.2.1-4
Distribution: unstable
Urgency: low
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Changed-By: A. Maitland Bottoms <bottoms@debian.org>
Description: 
 libvtk-java - Visualization Toolkit - A high level 3D visualization library
 libvtk5-dev - VTK header files for building C++ code
 libvtk5-qt3-dev - Visualization Toolkit - A high level 3D visualization library
 libvtk5-qt4-dev - Visualization Toolkit - A high level 3D visualization library
 libvtk5.2  - Visualization Toolkit - A high level 3D visualization library
 libvtk5.2-qt3 - Visualization Toolkit - A high level 3D visualization library
 libvtk5.2-qt4 - Visualization Toolkit - A high level 3D visualization library
 python-vtk - Python bindings for VTK
 vtk-doc    - VTK class reference documentation
 vtk-examples - C++, Tcl and Python example programs/scripts for VTK
 vtk-tcl    - Tcl bindings for VTK
Closes: 486794 519058 520003 520906 521451 523118 527119 529292
Changes: 
 vtk (5.2.1-4) unstable; urgency=low
 .
   * new libvtk5.2 packages (Closes: #520906, #523118)
   * dev packages now built for each architecture (Closes: #521451, #529292)
   * consistent use of dh-install and .dirs files (Closes: #519058)
   * install all qt support libraries (Closes: #520003)
   * install vtkWrapPythonInit (Closes: #486794)
   * libvtk5-dev depends upon libfreetype6-dev libxss-dev libxft-dev libpng12-dev (Closes: #527119)
Checksums-Sha1: 
 c858eff96bfdb2c3c54b5868e15e46a4eb867a0a 1788 vtk_5.2.1-4.dsc
 af2d59b1d32b9c8520f6a3b7aaab0b51af88b40d 27829 vtk_5.2.1-4.diff.gz
 5f3c2d3c92d6bf7b87d4779fd318c4669f338639 11557862 libvtk5.2_5.2.1-4_amd64.deb
 a92719867650cc8f9c89e564e783588546747d8d 4105726 libvtk-java_5.2.1-4_amd64.deb
 d33135d8d61d143cb14a4ae966c315642d6bbef6 2027964 libvtk5-dev_5.2.1-4_amd64.deb
 96eaca1c676fc8666c1ddc9c7f4968dba908f43a 64582 libvtk5.2-qt3_5.2.1-4_amd64.deb
 ab57475dc65d56c21cc21823b9649b3601ae4b53 15014 libvtk5-qt3-dev_5.2.1-4_amd64.deb
 f95c21042e06918adfb739dc8c511b0adfb58927 109030 libvtk5.2-qt4_5.2.1-4_amd64.deb
 f40d6ef9bdb0d023e60486619a30e0a1d84df196 14994 libvtk5-qt4-dev_5.2.1-4_amd64.deb
 f293b099a9a9750e7c71f8c5a678570746e12f4e 3959188 vtk-tcl_5.2.1-4_amd64.deb
 4873fd1c5ebe43ae7ac2d49b42d72d11c5d00a06 4506758 python-vtk_5.2.1-4_amd64.deb
 19826cc081159931de0c62232ff867d709e76f3c 128327172 vtk-doc_5.2.1-4_all.deb
 a3556760027643132691bf8df011059bf7c51504 461682 vtk-examples_5.2.1-4_all.deb
Checksums-Sha256: 
 e890a30842b44693a369f6032457251b9f51602d29ff58623f2eb92dedd64987 1788 vtk_5.2.1-4.dsc
 97e071e9f6acfd421c60a96b36182f0b9da2b1a39c9b82c85f36be8bce370134 27829 vtk_5.2.1-4.diff.gz
 9c8eb2bd23f8dbff3d0c4489a380052e5acdca4e098ea865fbc7490b33f90c49 11557862 libvtk5.2_5.2.1-4_amd64.deb
 b62ba273ba3b0bd9a2a9d72d8e4ba1655655cda6fc89f0c717166dde54199330 4105726 libvtk-java_5.2.1-4_amd64.deb
 a2a9fd8bc79ef2454e1d7a8f60e48e95ab385181ac5f9590ed0da90390971e04 2027964 libvtk5-dev_5.2.1-4_amd64.deb
 915d528fd1f3f500fd4c45bc097dd1b27776a65bfb4ebf194eb37b459f328e5d 64582 libvtk5.2-qt3_5.2.1-4_amd64.deb
 9632d579af263aee856c4d70646d8e6e3dc11ddd9a624d59a07cb987d402dc75 15014 libvtk5-qt3-dev_5.2.1-4_amd64.deb
 021d34d4a2d8e17d2b924c35cf58b1bb067c650259acbdfbf3f10f3422cc13ca 109030 libvtk5.2-qt4_5.2.1-4_amd64.deb
 010ed39dfcffec7087a9989be1ff4c034fc3651d5f24bd7db0b15248e9a56568 14994 libvtk5-qt4-dev_5.2.1-4_amd64.deb
 8b31d13eed949de03a68d0aaccb844a0d1cb82a3d18a979c23f2a69ada81fb88 3959188 vtk-tcl_5.2.1-4_amd64.deb
 2966c889807f28c8478b46cfef51778bcadd03f444b9f7d43443f2a5b9f8707f 4506758 python-vtk_5.2.1-4_amd64.deb
 b7784f42806e63c7749c458116a4c289edff157292739ce128d63869e10d9eef 128327172 vtk-doc_5.2.1-4_all.deb
 c41e9e1bf317ed155bf2b29a703d1ee4e7a603d3487da1018de1cfa12f96ac64 461682 vtk-examples_5.2.1-4_all.deb
Files: 
 3c3be7b1134676100bfd994b665f84e3 1788 graphics optional vtk_5.2.1-4.dsc
 e8375b5a111dc6b4a2336c08538eb8aa 27829 graphics optional vtk_5.2.1-4.diff.gz
 7cd685a176c02e8a9e9c4f84832cd0e4 11557862 libs optional libvtk5.2_5.2.1-4_amd64.deb
 c6f16a10e4fa418304aa4ec399f207d4 4105726 interpreters optional libvtk-java_5.2.1-4_amd64.deb
 d3f54e3b5a55e318e6bc15eccc49ac87 2027964 libdevel optional libvtk5-dev_5.2.1-4_amd64.deb
 468510d994b17cecde9f0e7c4f2a6368 64582 libs optional libvtk5.2-qt3_5.2.1-4_amd64.deb
 6288ef0fb2ffd39b2fbecee4ab15bccb 15014 libdevel optional libvtk5-qt3-dev_5.2.1-4_amd64.deb
 3d8c0a23972b64f6a8ee3aacee0ebd1e 109030 libs optional libvtk5.2-qt4_5.2.1-4_amd64.deb
 ee6fad8eea5ff9d6b30e4d07a4a269ca 14994 libdevel optional libvtk5-qt4-dev_5.2.1-4_amd64.deb
 432936b7b9b7d0fca8aceddb88cce5a1 3959188 interpreters optional vtk-tcl_5.2.1-4_amd64.deb
 6b5664adcbc0b4d1756bbe2f35ebaf44 4506758 python optional python-vtk_5.2.1-4_amd64.deb
 8fe57262741ec00b0c914c3737637344 128327172 doc optional vtk-doc_5.2.1-4_all.deb
 d3f209bc34280b7192f1d4503405a1a2 461682 graphics optional vtk-examples_5.2.1-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkoTez4ACgkQkwbJvNrxBUyCugCfVUS3L5ABaN3EKsIBjGtANe0t
V1QAnj+ezFuRS5keS9d50lEVSOQCjglX
=37jJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Oct 2009 07:42:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:31:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.